# Heart-Attack-Analysis
This project is an interactive Python GUI application using Tkinter to visualize, analyze, and gain insights from heart disease data, adhering to object-oriented design principles and allowing user interaction to explore the data.

## Running the Application

### Requirements

To run the application, ensure you have the following dependencies installed:

- matplotlib >= 3.8.4, < 4.0
- numpy >= 1.26.4, < 2.0
- pandas >= 2.2.2, < 2.3
- seaborn >= 0.13.2, < 0.14

## Instructions

### Clone the repository:

```
git clone https://github.com/colarrbear/Heart-Attack-Analysis
```

### Create a virtual environment and install dependencies

1. Change your directory to Heart-Attack-Analysis
```
cd Heart-Attack-Analysis
```
2. Create virtual environment using this command.
```
# On Linux or MacOS
python3 -m venv env

# On MS Windows
python -m venv env
```

3. Activate the virtual environment
```
# On Linux or MacOS
source env/bin/activate

# On MS Windows
env\Scripts\activate
```

4. Installing Dependencies
```
pip install -r requirements.txt
```

5. Change your directory to code
```
cd code
```

6. Run the application:

```
python main.py
```

(For macOS users, use `python3 main.py` instead of `python main.py`)

---
* [Project proposal](https://docs.google.com/document/d/1cK3Otg6wmBJlHFTzc7z4ahu424MmSIQ7ScpTdTMndsI/edit)
* [Development Plan](https://github.com/colarrbear/Heart-Attack-Analysis/wiki/Development-Plan-for-Heart-Attack-Analysis-Project)
* [Design Documents and UML Diagrams](https://github.com/colarrbear/Heart-Attack-Analysis/wiki/Design-Documents-and-UML-Diagrams)

## Data Sources

The dataset used in this project is obtained from [Kaggle](https://www.kaggle.com/datasets/rashikrahmanpritom/heart-attack-analysis-prediction-dataset/data).